init python:
    def no_rep_rand(lst, curr):
        r = curr
        while r == curr or r == random or r.locked:
            r = renpy.random.choice(lst)
        return r
    class simple_unit:
        def __init__(self, name, dir, locked = True, colors = ["normal"]):
            self.name = name
            self.dir = dir
            self.locked = locked
            self.colors = colors
            self.color = 0
            self.avt = "normal"
        # def pts(self, x):
        #     if self.adv + x > -11 and self.adv + x < 11:
        #         self.adv += x
        def unlock(self):
            self.locked = False

define becca = simple_unit("Becca", "select/becca", False)
define mariam = simple_unit("Mariam", "select/mariam")
define kimberly = simple_unit("Kimberly", "select/kimberly")
define samantha = simple_unit("Samantha", "select/samantha")
define taylor = simple_unit("Taylor", "select/taylor", False)
define annie = simple_unit("Annie", "select/annie", False)
define evie = simple_unit("Evie", "select/evie", False)
define ayesha = simple_unit("Ayesha", "select/ayesha", False)
define lola = simple_unit("Lola", "select/lola", False)
define tiffany = simple_unit("Tiffany", "select/tiffany")
define flora = simple_unit("Flora", "select/flora")
define mia = simple_unit("Mia", "select/mia")
define rosa = simple_unit("Rosa", "select/rosa", False)
define yasmin = simple_unit("Yasmin", "select/yasmin")
define hoda = simple_unit("Hoda", "select/hoda", False)
define random = simple_unit("Random", "select/random", False)

define selectables = [
    becca,
    mariam,
    kimberly,
    samantha,
    taylor,
    annie,
    evie,
    random,
    ayesha,
    lola,
    hoda,
    yasmin,
    flora,
    mia,
    rosa,
]
transform blink(s):
    ease s alpha 0
    ease s alpha 1
    repeat
transform select_trans(x, y, p):
    pause p*.1
    parallel:
        ease .2 xoffset x
    parallel:
        ease .2 yoffset y
    parallel:
        on idle:
            easein .2 additive 0
        on hover:
            easein .2 additive .3
        on selected_idle:
            easein .2 additive .2
        on selected_hover:
            easein .2 additive .3
        on insensitive:
            easein .2 additive 0

screen select(w = selectables):
    default p1 = None
    default p2 = None

    default rnd = 0
    modal True

    key 'e' action If(p1 == None, SetScreenVariable("p1", w[5]), SetScreenVariable("p1", None))
    key 'K_KP7' action If(p2 == None, SetScreenVariable("p2", w[9]), SetScreenVariable("p2", None))

    key 'w' action SetScreenVariable("p1", w[5])
    key 'a' action SetScreenVariable("p1", w[5])
    key 's' action SetScreenVariable("p1", w[5])
    key 'd' action SetScreenVariable("p1", w[5])

    add "#666"

    frame:
        xsize 500 xalign 0.0 yfill True padding 0,0 background None
        if p1:
            if p1.locked:
                pass
            else:
                add "{}/{}.png".format(p1.dir, p1.avt) align .5,1.0
        vbox:
            align .5,.98
            if p1:
                text p1.name size 50 color "#fff" outlines [(4, "#a675c6", 0, 0)]
            else:
                text "Insert Coin" size 50 color "#fff" outlines [(4, "#a675c6", 0, 0)] at blink(.4)
    frame:
        xsize 500 xalign 1.0 yfill True padding 0,0 background None
        if p2:
            if p2.locked:
                pass
            else:
                add "{}/{}.png".format(p2.dir, p2.avt) align .5,1.0
        vbox:
            align .5,.98
            if p2:
                text p2.name size 50 color "#fff" outlines [(4, "#a675c6", 0, 0)]
            else:
                text "Insert Coin" size 50 color "#fff" outlines [(4, "#a675c6", 0, 0)] at blink(.4)

    frame:
        xsize 1200 background None yalign .2
        hbox:
            box_wrap True spacing 0
            for ii,i in enumerate(w):
                button:
                    background None padding 0,0
                    fixed:
                        fit_first True
                        if i.locked:
                            add "select/locked.png"
                        else:
                            add "{}/icon.png".format(i.dir)
                        if p1 and p1 == i:
                            add "select/p1.png"
                            label "P1" align 0.0,0.0 offset -4,-4 padding 4,4 background "#fffc" text_color "#000"
                        if p2 and p2 == i:
                            add "select/p2.png"
                            label "P2" align 1.0,1.0 offset 4,4 padding 4,4 background "#fffc" text_color "#000"
                    if i == random:
                        action SetScreenVariable("rnd", 10)
                    else:
                        action SetScreenVariable("p1", i)



    

    if rnd:
        timer .4-(rnd*.02) repeat True action SetScreenVariable("p1", no_rep_rand(w, p1)), SetScreenVariable("rnd", rnd-1), 

    if p1:
        drag:
            align 0.0,0.0
            frame:
                vbox:
                    text "Tests"
                    # button:
                    #     text "Lock" size 14
                    #     action Function (p1.unlock)
                    button:
                        text "Unlock" size 14
                        action Function (p1.unlock)
                    # button:
                    #     text "Nude" size 14
                    #     action Function (p1.change, "nude")
                    # button:
                    #     text "dressed" size 14
                    #     action Function (p1.change, "normal")